declare const CProgressBar: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Use to animate the stripes right to left via CSS3 animations.
     */
    animated: BooleanConstructor;
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     *
     * @values 'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'dark', 'light'
     */
    color: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    /**
     * The percent to progress the ProgressBar.
     */
    value: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Set the progress bar variant to optional striped.
     *
     * @values 'striped'
     */
    variant: {
        type: StringConstructor;
        validator: (value: string) => value is "striped";
    };
}>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Use to animate the stripes right to left via CSS3 animations.
     */
    animated: BooleanConstructor;
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     *
     * @values 'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'dark', 'light'
     */
    color: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    /**
     * The percent to progress the ProgressBar.
     */
    value: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Set the progress bar variant to optional striped.
     *
     * @values 'striped'
     */
    variant: {
        type: StringConstructor;
        validator: (value: string) => value is "striped";
    };
}>> & Readonly<{}>, {
    value: number;
    animated: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export { CProgressBar };
